Bug 167185 - snd_intel8x0 does not ACPI suspend/resume properly
snd_intel8x0 does not ACPI suspend/resume properly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-08-31 09:25 EDT by James
Modified: 2015-01-04 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 05:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (21.64 KB, text/plain)
2005-08-31 09:27 EDT, James
no flags Details
lspci -vv output (9.43 KB, text/plain)
2005-08-31 09:28 EDT, James
no flags Details
ACPI DSDT (12.15 KB, text/plain)
2005-08-31 09:29 EDT, James
no flags Details
tail of dmesg (7.22 KB, text/plain)
2005-09-20 08:25 EDT, Robert Bertram
no flags Details
Logs for trial session with kernel 2.6.13-1.1526_FC4 (39.07 KB, text/plain)
2005-09-30 05:21 EDT, James
no flags Details

  None (edit)
Description James 2005-08-31 09:25:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Intel i810 sound does not survive the ACPI suspend/resume cycle. Upon resume, the sound chip IRQ is disabled and there is no sound. This problem was not present in kernel-2.6.12-1.1398. (See attached dmesg output for more)

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447

How reproducible:
Always

Steps to Reproduce:
1. Suspend.
2. Resume.
3. Check logs.
  

Actual Results:  Sound no longer functions, IRQ 5 disabled

Expected Results:  Sound comes back as normal.

Additional info:
Comment 1 James 2005-08-31 09:27:30 EDT
Created attachment 118297 [details]
dmesg output
Comment 2 James 2005-08-31 09:28:39 EDT
Created attachment 118298 [details]
lspci -vv output
Comment 3 James 2005-08-31 09:29:45 EDT
Created attachment 118299 [details]
ACPI DSDT
Comment 4 Robert Bertram 2005-09-20 08:25:30 EDT
Created attachment 119021 [details]
tail of dmesg

I have a similar problem. IRQ gets disabled and my wireless card stops working
after resuming from suspend.
Comment 5 James 2005-09-27 08:16:18 EDT
The problem persists with kernel 2.6.12-1.1456_FC4.
Comment 6 Dave Jones 2005-09-30 02:56:21 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 James 2005-09-30 05:13:21 EDT
Using 2.6.13-1.1526_FC4 seems to solve this particular problem, but 8139too is
now broken on suspend/resume. It seems that the tranceiver isn't switched back
on: all I get is "link down" in the kernel log, and have to power down before it
works again.
Comment 8 James 2005-09-30 05:21:35 EDT
Created attachment 119455 [details]
Logs for trial session with kernel 2.6.13-1.1526_FC4
Comment 9 Dave Jones 2005-09-30 05:58:38 EDT
please open another bug for the network problem.

thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.